org.apache.http.impl.conn.tsccm

## Class RouteSpecificPool

- java.lang.Object
- - org.apache.http.impl.conn.tsccm.RouteSpecificPool

- 已过时。
  （4.2）使用`AbstractConnPool`

      @Deprecated
      public class RouteSpecificPool
      extends Object

  一个特定路由的连接子池，由`ConnPoolByRoute`使用 。 该类中的方法是不同步的。 预期包含池将处理同步。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ConnPerRoute` | `connPerRoute` 已过时。 每路线连接
    `protected LinkedList<BasicPoolEntry>` | `freeEntries` 已过时。 免费条目列表。
    `protected int` | `maxEntries` 已过时。
    `protected int` | `numEntries` 已过时。 创建的条目数。
    `protected HttpRoute` | `route` 已过时。 这个游泳池的路线。
    `protected Queue<WaitingThread>` | `waitingThreads` 已过时。 等待这个池的线程列表。

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `RouteSpecificPool(HttpRoute route, ConnPerRoute connPerRoute)` 已过时。 创建一个新的路由特定池。
    `RouteSpecificPool(HttpRoute route, int maxEntries)` 已过时。 （4.1）使用`RouteSpecificPool(HttpRoute, ConnPerRoute)`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BasicPoolEntry` | `allocEntry(Object state)` 已过时。 从这个池获得一个免费的条目，如果有的话。
    `void` | `createdEntry(BasicPoolEntry entry)` 已过时。 表示创建此池的条目。
    `boolean` | `deleteEntry(BasicPoolEntry entry)` 已过时。 从此池中删除一个条目。
    `void` | `dropEntry()` 已过时。 忘记从这个池的一个条目。
    `void` | `freeEntry(BasicPoolEntry entry)` 已过时。 返回到此池的已分配条目。
    `int` | `getCapacity()` 已过时。 返回此池的剩余容量
    `int` | `getEntryCount()` 已过时。 获取条目数。
    `int` | `getMaxEntries()` 已过时。 获取此池允许的最大条目数。
    `HttpRoute` | `getRoute()` 已过时。 获取此池是特定的路由。
    `boolean` | `hasThread()` 已过时。 检查此池中是否有等待线程。
    `boolean` | `isUnused()` 已过时。 指示此池是否未使用。
    `WaitingThread` | `nextThread()` 已过时。 返回队列中的下一个线程。
    `void` | `queueThread(WaitingThread wt)` 已过时。 添加等待线程。
    `void` | `removeThread(WaitingThread wt)` 已过时。 删除等待线程，如果它排队。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### route

          protected final HttpRoute route

      已过时。
      这个游泳池的路线。

    - #### maxEntries

          protected final int maxEntries

      已过时。

    - #### connPerRoute

          protected final ConnPerRoute connPerRoute

      已过时。
      每路线连接

    - #### freeEntries

          protected final LinkedList<BasicPoolEntry> freeEntries

      已过时。
      免费条目列表。 此列表是管理LIFO，以增加空闲时间并允许关闭不是真正需要的连接。

    - #### waitingThreads

          protected final Queue<WaitingThread> waitingThreads

      已过时。
      等待这个池的线程列表。

    - #### numEntries

          protected int numEntries

      已过时。
      创建的条目数。

  - ### 构造方法详细信息

    - #### RouteSpecificPool

          @Deprecated
          public RouteSpecificPool(HttpRoute route,
                                      int maxEntries)

      已过时。 （4.1）使用`RouteSpecificPool(HttpRoute, ConnPerRoute)`

    - #### RouteSpecificPool

          public RouteSpecificPool(HttpRoute route,
                           ConnPerRoute connPerRoute)

      已过时。
      创建一个新的路由特定池。
      参数
        `route` - 要汇集的路线
        `connPerRoute` - 每个路由配置的连接

  - ### 方法详细信息

    - #### getRoute

          public final HttpRoute getRoute()

      已过时。
      获取此池是特定的路由。
      结果
        路线

    - #### getMaxEntries

          public final int getMaxEntries()

      已过时。
      获取此池允许的最大条目数。
      结果
        最大入场号码

    - #### isUnused

          public boolean isUnused()

      已过时。
      指示此池是否未使用。 如果没有条目或等待线程，则池未被使用。 所有条目计数，不仅是免费的，而且分配的。
      结果
        `true`如果此池未使用，否则为 `false`

    - #### getCapacity

          public int getCapacity()

      已过时。
      返回此池的剩余容量
      结果
        容量

    - #### getEntryCount

          public final int getEntryCount()

      已过时。
      获取条目数。 这不仅包括免费条目，还包括已创建并且当前已发布给应用程序的条目。
      结果
        此池的路由条目数

    - #### allocEntry

          public BasicPoolEntry allocEntry(Object state)

      已过时。
      从这个池获得一个免费的条目，如果有的话。
      结果
        一个可用的池条目，如果没有， `null`

    - #### freeEntry

          public void freeEntry(BasicPoolEntry entry)

      已过时。
      返回到此池的已分配条目。
      参数
        `entry` - 从 `allocEntry`获得或提交给 `createdEntry`的条目

    - #### createdEntry

          public void createdEntry(BasicPoolEntry entry)

      已过时。
      表示创建此池的条目。 该条目将不会添加到免费条目列表中，它现在只被识别为属于此池。 然后可以传递给`freeEntry` 。
      参数
        `entry` - 为此池创建的条目

    - #### deleteEntry

          public boolean deleteEntry(BasicPoolEntry entry)

      已过时。
      从此池中删除一个条目。 只有这个池中当前免费的条目才能被删除。 分配的条目不能删除。
      参数
        `entry` - 要从此池删除的条目
      结果
        `true`如果条目被发现和删除，或 `false`如果条目未找到

    - #### dropEntry

          public void dropEntry()

      已过时。
      忘记从这个池的一个条目。 此方法用于指示此池中的条目`allocated`已丢失，不会返回。

    - #### queueThread

          public void queueThread(WaitingThread wt)

      已过时。
      添加等待线程。 此池不会尝试将等待线程与池条目相匹配。 在添加等待线程之前，主叫方有责任检查是否没有条目。
      参数
        `wt` - 等待线程

    - #### hasThread

          public boolean hasThread()

      已过时。
      检查此池中是否有等待线程。
      结果
        `true`如果有等待线程， `false`否则

    - #### nextThread

          public WaitingThread nextThread()

      已过时。
      返回队列中的下一个线程。
      结果
        一个等待的线程，或 `null`如果没有

    - #### removeThread

          public void removeThread(WaitingThread wt)

      已过时。
      删除等待线程，如果它排队。
      参数
        `wt` - 等待线程

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585